using FastEndpoints;
using FluentValidation;
using Knots.DTO.Message;

namespace Knots.Validators.Message;

public class CreateMessageDtoValidator : Validator<CreateMessageDto>
{
    public CreateMessageDtoValidator()
    {
        RuleFor(x => x.Contenu)
            .NotEmpty()
            .WithMessage("Le message ne peux pas être vide")
            .MaximumLength(1000)
            .WithMessage("Le message ne doit pas faire plus de 1000 caractères");
        
        RuleFor(x => x.Date)
            .NotEmpty()
            .WithMessage("La date ne peut pas être vide");

        RuleFor(x => x.Type)
            .NotEmpty()
            .WithMessage("Le type de message doit être renseigné");

    }
}